package ink.wgink.properties.onlyoffice;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: OnlyOfficeProperties
 * @Description: OnlyOffice配置
 * @Author: wanggeng
 * @Date: 2022/7/25 10:31
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "only-office")
public class OnlyOfficeProperties {

    private String serverUrl;
    private String callbackUrl;

    public String getServerUrl() {
        return serverUrl == null ? "" : serverUrl.trim();
    }

    public void setServerUrl(String serverUrl) {
        this.serverUrl = serverUrl;
    }

    public String getCallbackUrl() {
        return callbackUrl == null ? "" : callbackUrl.trim();
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }
}
